/*
  LOG_PARGRUPOFISC_PARAMGERAL responsvel por gravar as informaes
  na tabela LOGOPERA a partir dos registros que forem alterados
  na tabela PARAMGERAL na tela de
  "Parmetros de Grupo Fiscal - Operaes Interestaduais"
  Criao: 02/05/2012
  Lucas Primo
*/

CREATE OR REPLACE TRIGGER LOG_PARGRUPOFISC_PARAMGERAL
AFTER UPDATE
ON PARAMGERAL FOR EACH ROW

DECLARE
  V_CDFILLOGOPER VARCHAR2(4);
  V_USUARIO	 VARCHAR2(40);
  V_TIPO	 VARCHAR2(1);
  V_ITPESQ	 VARCHAR2(40);
  V_DESC	 VARCHAR2(300);
  V_DTOPER	 DATE;
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
BEGIN
   V_TIPO         := '0';
   V_DESC         := '';
   V_CDFILLOGOPER := '';

   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);

   IF UPDATING THEN
      IF NVL(:OLD.DSPARGERFIS, '!') <> NVL(:NEW.DSPARGERFIS , '!') THEN
         V_DESC := V_DESC || ' Aba= '           || 'Operaes Interestaduais';
         V_DESC := V_DESC || ' Grupo= '         || SUBSTR(:NEW.DSPARGERFIS, 3, 3);
      END IF;

      V_TIPO         := '2';
      V_ITPESQ       := NVL(:OLD.DSPARGERFIS, :NEW.DSPARGERFIS);

   END IF;
   IF V_TIPO <> '0' THEN

      IF NOT V_DESC IS NULL THEN
         NMUSUARIO(V_USUARIO);
         IF NOT V_USUARIO IS NULL THEN
            V_DTOPER := SYSDATE;
            INSERT INTO LOGOPERA
               (NMTABELA,     DTOPERACAO,   NMRESPOPER,  CDPESQITEM, IDTIPOOPER,  DSOPERACAO,
                DSRDMUSUOPER, DSENDUSUOPER, DSNMUSUOPER, DSMETUSUOPER, CDORESPOPER, CDFILLOGOPER)
            VALUES
               ('PARGRUPOFISC',   V_DTOPER,       V_USUARIO,   V_ITPESQ, V_TIPO, SUBSTR(V_DESC,1,300),
                V_DSREMOTEADDR, V_DSREMOTEHOST, V_DSSERVERRDM, V_DSSERVMETHOD, V_DSREMOTEOPER, V_CDFILLOGOPER);

         END IF;
      END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('LOG_PARGRUPOFISC_PARAMGERAL','5.70.000'); END;
/